Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.nosql.appender
Class DefaultNoSqlObject

    java.lang.Object
      org.apache.logging.log4j.nosql.appender.DefaultNoSqlObject

All Implemented Interfaces:
  NoSqlObject<Map<String,Object>>

    public class DefaultNoSqlObject

extends Object
implements NoSqlObject<Map<String,Object>>

Default implementation of `NoSqlObject`. Most NoSQL Java APIs tend to re-use the Map interface for storage and retrieval of the underlying JSON documents. Therefore, this implementation is provided for convenience.

Constructor Summary
`DefaultNoSqlObject()`

Method Summary
`void` | `set(String field, NoSqlObject<Map<String,Object>> value)` Sets the value of a property on this object to a nested complex object.
`void` | `set(String field, NoSqlObject<Map<String,Object>>[] values)` Sets the value of a property on this object to an array of nested complex objects.
`void` | `set(String field, Object value)` Sets the value of a property on this object to a String or primitive.
`void` | `set(String field, Object[] values)` Sets the value of a property on this object to an array of Strings or primitives.
`Map<String,Object>` | `unwrap()` Obtains the underlying NoSQL library-specific object that this object wraps.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNoSqlObject

    public DefaultNoSqlObject()

Method Detail

### set

    public void set(String field,
                    Object value)

  Description copied from interface: `NoSqlObject`
  Sets the value of a property on this object to a String or primitive.

  Specified by:
    `set` in interface `NoSqlObject<Map<String,Object>>`
  Parameters:
    `field` - The name of the property
    `value` - The value of the property

### set

    public void set(String field,
                    NoSqlObject<Map<String,Object>> value)

  Description copied from interface: `NoSqlObject`
  Sets the value of a property on this object to a nested complex object.

  Specified by:
    `set` in interface `NoSqlObject<Map<String,Object>>`
  Parameters:
    `field` - The name of the property
    `value` - The value of the property

### set

    public void set(String field,
                    Object[] values)

  Description copied from interface: `NoSqlObject`
  Sets the value of a property on this object to an array of Strings or primitives.

  Specified by:
    `set` in interface `NoSqlObject<Map<String,Object>>`
  Parameters:
    `field` - The name of the property
    `values` - The values for the property

### set

    public void set(String field,
                    NoSqlObject<Map<String,Object>>[] values)

  Description copied from interface: `NoSqlObject`
  Sets the value of a property on this object to an array of nested complex objects.

  Specified by:
    `set` in interface `NoSqlObject<Map<String,Object>>`
  Parameters:
    `field` - The name of the property
    `values` - The values for the property

### unwrap

    public Map<String,Object> unwrap()

  Description copied from interface: `NoSqlObject`
  Obtains the underlying NoSQL library-specific object that this object wraps.

  Specified by:
    `unwrap` in interface `NoSqlObject<Map<String,Object>>`
  Returns:
    the wrapped object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.